package com.tanpu.community.controller;

import com.alibaba.fastjson.JSON;
import com.tanpu.community.dao.entity.community.FansRelEntity;
import com.tanpu.community.manager.HomePageManager;
import com.tanpu.community.model.req.homepage.AddIdolReq;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@Slf4j
@RequestMapping(value = "/api/homepage")
public class HomePageController {

    @Autowired
    private HomePageManager homePageManager;

    @PostMapping(value = "/queryMyFans")
    @ApiOperation("查询自己的粉丝")
    @ResponseBody
    public String queryMyFans() {
        String userId = "123";
        List<FansRelEntity> fans = homePageManager.queryFansByIdolId(userId);
        System.out.println(fans.size());
        return null;
    }

    @PostMapping(value = "/addIdol")
    @ApiOperation("关注他人")
    @ResponseBody
    public String addIdol(@RequestBody AddIdolReq req) {
        String userId = "123";
        homePageManager.addIdol(req.idolId, userId);
        return "11";
    }

}
